Page MenuHomePhabricator

Allow smoother and easier Wikimedia Commons pictures discovery
Closed, InvalidPublic

Description

Author: vladjohn2013

Description:
Allow smoother and easier Wikimedia Commons pictures discovery

Skills: Programming. Design.

Wikimedia Commons is 14 million media repository, all under a free license or in public domain. This is a common repository used on Wikipedia and other Wikimedia projects and available for any other projects in need of educative or informational pictures.

Previous usability and UI effort were focused on the upload process and image reusing.

This project is to think, design and develop a better interface to browse and discover pictures, from a user perspective. For example, it has been suggested to implement a lightbox system to switch to the next picture in the categories. A part of the project could be to prepare an external website to implement this lightbox and so offer a similar browsing experience than other popular pictures sites. If the interface works well, a second phase could be to integrate it directly to Wikimedia Commons.

Another idea is a view mode allowing to browse a root category (e.g. the cats category or the roses category and to be able to see pictures in this category and also the subcategories). This will satisfy the need "I want a cat photo" or "I want a rose photo" without having to browse a dozen of specialized subcategory. In a second step, we could filter result with available information. If you're interested to implement this approach, your project could be whether:

the design and development of the viewer mode, with a focus on the UI and ergonomic browser capability
to prepare this second step and identify the most relevant criteria (weight, resolution, taken date, color information, most used files on wikis, images with labels) and analyze cost/benefits to cache these data; prepare a prototype with a subset of 1000 images to help to create a performance model and see how in the future have this information could be available for several millions of pictures.

Mentor: Sébastien Santoro

URL:https://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects#Allow_smoother_and_easier_Wikimedia_Commons_pictures_discovery


Version: unspecified
Severity: enhancement

Details

Reference
bz57805

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:34 AM
bzimport set Reference to bz57805.
bzimport added a subscriber: Unknown Object (MLST).

vladjohn2013 wrote:

This proposal has been listed at https://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects and we are filing a report to gather community feedback and share updates.

I'm not really sure bugzilla is the best venue for feedback on vauge project ideas - bugs should have (a single) well defined problem and what not. Brainstorming and implementation advice feedback is probably better suited to a mailing list or even on wiki (depending on context maybe even an rfc). (This is just my opinion which others probably dont share. I know there are a lot of things saying file bugs for mentorship project)

As for comment 0 - lightbox: seems to be treading the same path as multimedia viewer project. Make sure you are not duplicating efforts.

Root Category pages: that's somewhat dangerous territory performance wise (e.g. flatening an entire category tree dynamically to infinite depth is out of the question unless you have some fancy way of making it efficient that is beyond me.). I believe improvements can be made in this area if one is clever about it, but this is the type of thing you have to have a solid plan for that can be carefully evaluated before embarking on it. In particular the performance should be analysed analytically for worst case scenario. 1000 images is very far away from the scale we have to work with and wouldn't mean much.

For filtering - one possible idea in that area (if you ignore the category flattening aspect) is sorting category by different criteria (e.g. file size). A while ago I did something related to that in a prototype of image rating (combined with liangent's category work) the approach there gets less efficient the more sorting types you add, but if you have a reasonable number its probably fine efficiency wise. (See the sorting method button on http://tools.wmflabs.org/bawolff/whichisbetter/index.php?title=Category:Images ) Making an extension that allows sorting images by various different criteria could make a good mentorship project.

Qgil added a comment.Dec 3 2013, 6:43 PM

Thank you for your feedback Brian!

(In reply to comment #2)

I'm not really sure bugzilla is the best venue for feedback on vauge project
ideas

I'm not sure either but so far is the best tool we have found to push raw entries at https://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects trough a process that may end up in an actual project. I know wiki pages can also be used for this, but in practice Bugzilla turns out to work much better when it comes to get tech community feedback and to start actual planning work.

CCing Dereckson, who filed that project idea more a year ago.

I would like to note a precision, as I've just received a mail about that: this project in 2014 has to be built on the top of the Multimedia Viewer, which is now our lightbox / viewer software.

Qgil added a comment.Feb 19 2014, 12:27 AM

Adding a couple of Multimedia folks, then.

We'd be happy to help explore, but it does seem like there's a lot of duplicated effort here, and with the various search and metadata improvements that are/will be happening this year.

Tgr added a comment.Feb 21 2014, 9:28 PM

The part until "Another idea" has been done already as part of MultimediaViewer. The part after that does not overlap with current features or roadmap.

MultimediaViewer is very much a moving target currently, with major refactoring efforts going on, so developing somthing on top of it would not be a pleasant experience. The plan is to finalize things within a month; we hope to have some sort of plugin system so that community tools/gadgets can be easily integrated, but have no concrete plans yet, see https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/168 . Comments about what sort of functionality should be possible through plugins would be very welcome there.

Qgil added a comment.Feb 11 2015, 1:44 PM

Wikimedia will apply to Google Summer of Code and Outreachy on Tuesday, February 17. If you want this task to become a featured project idea, please follow these instructions.

Qgil added a comment.Feb 17 2015, 9:48 AM
In T59805#633421, @Tgr wrote:

MultimediaViewer is very much a moving target currently, with major refactoring efforts going on, so developing something on top of it would not be a pleasant experience.

@Tgr, do you still think that this proposal is not suitable for GSoC/Outreachy?

Qgil moved this task from Backlog to Need Discussion on the Possible-Tech-Projects board.

This task should probably be repurposed as a series of improvements to the stockphoto gadget for Wikimedia Commons. Its main authors can probably provide a list of things to do, but I can't find DieBuche in phabricator.

Tgr added a comment.Feb 18 2015, 12:25 AM
In T59805#633421, @Tgr wrote:

MultimediaViewer is very much a moving target currently, with major refactoring efforts going on, so developing something on top of it would not be a pleasant experience.

@Tgr, do you still think that this proposal is not suitable for GSoC/Outreachy?

Not for those reasons (development of Multimediaviewer / Media Viewer is finished for now, so developing on top of it should not be problematic), but it is way too vague currently to be even called a proposal.

Nemo_bis changed the task status from Open to Stalled.Feb 18 2015, 6:35 AM
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Mar 11 2015, 12:53 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 5:53 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 4 2015, 5:53 PM
Qgil added a comment.Sep 23 2015, 9:10 AM

This is a message posted to all tasks under "Re-check in September 2015" at Possible-Tech-Projects. Outreachy-Round-11 is around the corner. If you want to propose this task as a featured project idea, we need a clear plan with community support, and two mentors willing to support it.

Qgil added a comment.Sep 23 2015, 9:35 AM

This is a message sent to all Possible-Tech-Projects. The new round of Wikimedia Individual Engagement Grants is open until 29 Sep. For the first time, technical projects are within scope, thanks to the feedback received at Wikimania 2015, before, and after (T105414). If someone is interested in obtaining funds to push this task, this might be a good way.

Sumit added a subscriber: Sumit.Mar 1 2016, 5:37 PM
IMPORTANT: This is a message posted to all tasks under "Need Discussion" at Possible-Tech-Projects. Wikimedia has been accepted as a mentor organization for GSoC '16. If you want to propose this task as a featured project idea, we need a clear plan with community support, and two mentors willing to support it.
Qgil closed this task as Invalid.Mar 2 2016, 10:24 AM
In T59805#1045269, @Tgr wrote:

but it is way too vague currently to be even called a proposal.

I agree, and I will boldly close it. @Dereckson , feel free to reopen if you as creator of this proposal disagree.

No, I don't disagree, this were a proposal before the Multimedia Viewer, so we should now offer concrete iterations of this viewer.

Tgr added a comment.Mar 2 2016, 7:21 PM

MediaViewer is unlikely to get major improvements in the foreseeable future, but the visual design for navigation was T77156. The search features envisioned by this proposal probably depend on the completion of T68108.